package com.wyattjmiller.audiomanv3

import android.content.SharedPreferences
import android.os.Bundle
import android.preference.PreferenceManager
import androidx.appcompat.app.AppCompatActivity
import com.wyattjmiller.audiomanv3.SettingsFragment

class AboutActivity : AppCompatActivity() {
    private var mSharedPrefs: SharedPreferences? = null
    private var mDarkTheme = false

    override fun onCreate(savedInstanceState: Bundle?) {
        mSharedPrefs = PreferenceManager.getDefaultSharedPreferences(this)
        mDarkTheme = mSharedPrefs!!.getBoolean(SettingsFragment.PREFERENCE_THEME, false)

        if (mDarkTheme) {
            setTheme(R.style.DarkTheme)
        }

        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_about)
    }
}